%define         module  efl

Summary:	Python bindings for the EFL
Name:		python-%{module}
Version:	1.26.1
Release:	%mkrel 2
License:	LGPLv3+
Group:		Development/Python
Url:		https://download.enlightenment.org/rel/bindings/python
Source0:	https://download.enlightenment.org/rel/bindings/python/python-%{module}-%{version}.tar.xz
Patch1:		python-efl-linking.patch
Patch2:		cython3.patch
BuildRequires:	pkgconfig(ecore)
BuildRequires:	pkgconfig(elementary)
BuildRequires:	pkgconfig(dbus-python)

%description
Python bindings for the EFL library.

%package -n python3-%{module}
Summary:	Python3 bindings for the EFL library
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(cython)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Python3 bindings for the EFL library.

%prep
%autosetup -p1

# Force cythonize
rm -rf efl/eo/efl.eo.c

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files efl

%files -n python3-%{module} -f %{pyproject_files}


%changelog
* Sun Mar 02 2025 wally <wally> 1.26.1-2.mga10
+ Revision: 2156570
- rebuild for python3.13

* Tue Jan 02 2024 daviddavid <daviddavid> 1.26.1-1.mga10
+ Revision: 2026126
- new version: 1.26.1
- use cython 0.29.x
+ papoteur <papoteur>
- rebuild again for python 3.12
- rebuild for python3.12
- adapt to pyproject

* Tue Jan 24 2023 wally <wally> 1.26.0-2.mga9
+ Revision: 1935662
- add patch to fix linking

* Fri Aug 26 2022 eatdirt <eatdirt> 1.26.0-1.mga9
+ Revision: 1880557
- Update to version 1.26.0

* Mon Apr 04 2022 umeabot <umeabot> 1.25.0-4.mga9
+ Revision: 1842988
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 1.25.0-3.mga9
+ Revision: 1782956
- Rebuild for python-3.10

* Sun Mar 21 2021 wally <wally> 1.25.0-2.mga9
+ Revision: 1706372
- rebuild for python 3.9

* Wed Oct 14 2020 eatdirt <eatdirt> 1.25.0-1.mga8
+ Revision: 1635858
- Upgrade to version 1.25.0

* Mon May 04 2020 eatdirt <eatdirt> 1.24.0-1.mga8
+ Revision: 1580114
- Upgrade to version 1.24.0

* Tue Mar 17 2020 eatdirt <eatdirt> 1.23.0-3.mga8
+ Revision: 1557587
- Reduce optimization to -O1 on ix86
- Tentative fix of virtual memory limit on i586
- Upgrade to version 1.23.0

* Sun Feb 16 2020 umeabot <umeabot> 1.22.0-3.mga8
+ Revision: 1535648
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 daviddavid <daviddavid> 1.22.0-2.mga8
+ Revision: 1452628
- add patch to fix linking issue
+ tv <tv>
- rebuild for python-3.8
- drop python2 subpkg

* Wed May 08 2019 eatdirt <eatdirt> 1.22.0-1.mga7
+ Revision: 1396742
- Upgrade to version 1.22.0

* Tue Jan 08 2019 shlomif <shlomif> 1.21.0-2.mga7
+ Revision: 1352636
- Rebuild for python3 3.7

* Wed Sep 19 2018 eatdirt <eatdirt> 1.21.0-1.mga7
+ Revision: 1275729
- Upgrade to version 1.21.0

* Thu Mar 15 2018 eatdirt <eatdirt> 1.20.0-4.mga7
+ Revision: 1209683
- Rebuild for new efl

* Tue Nov 28 2017 eatdirt <eatdirt> 1.20.0-3.mga7
+ Revision: 1180144
- Rebuild for new efl

* Sun Oct 08 2017 eatdirt <eatdirt> 1.20.0-2.mga7
+ Revision: 1170061
- Rebuild for arm

* Sat Oct 07 2017 eatdirt <eatdirt> 1.20.0-1.mga7
+ Revision: 1169910
- Upgrade to version 1.20.0

* Sat Aug 05 2017 pterjan <pterjan> 1.19.0-3.mga7
+ Revision: 1135410
- Rebuild for python 3.6

* Thu May 25 2017 eatdirt <eatdirt> 1.19.0-2.mga6
+ Revision: 1104529
- Rebuild for new efl

* Tue May 02 2017 eatdirt <eatdirt> 1.19.0-1.mga6
+ Revision: 1098619
- Upgrade to version 1.19.0

* Mon Jan 23 2017 eatdirt <eatdirt> 1.18.0-2.mga6
+ Revision: 1083144
- Rebuild for new efl

* Fri Nov 25 2016 eatdirt <eatdirt> 1.18.0-1.mga6
+ Revision: 1070109
- Upgrade to version 1.18.0

* Mon Apr 18 2016 daviddavid <daviddavid> 1.17.0-2.mga6
+ Revision: 1003469
- use new python macros

* Mon Apr 18 2016 trem <trem> 1.17.0-1.mga6
+ Revision: 1003446
- python-efl: bump version to 1.17.0

* Fri Feb 12 2016 umeabot <umeabot> 1.15.0-3.mga6
+ Revision: 958571
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.15.0-2.mga6
+ Revision: 888764
- rebuild for python 3.5

* Mon Aug 10 2015 trem <trem> 1.15.0-1.mga6
+ Revision: 862335
- python-efl: bump version to 1.15.0

* Wed Oct 15 2014 umeabot <umeabot> 1.11.0-3.mga5
+ Revision: 745612
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps
+ trem <trem>
- bump version to 0.11.0

* Mon Jul 14 2014 trem <trem> 1.10.0-1.mga5
+ Revision: 652113
- bump to 1.10.0

* Sat May 31 2014 pterjan <pterjan> 1.9.0-3.mga5
+ Revision: 628623
- Rebuild for new Python

* Sun Apr 20 2014 trem <trem> 1.9.0-2.mga5
+ Revision: 617162
- some spec cleanup (thanks philippem)
- add support of python 3 (thanks philippem)

* Sun Mar 09 2014 trem <trem> 1.9.0-1.mga5
+ Revision: 601554
- imported package python-efl

